### Class

# Gimp PDB

#### Description [src]

    class Gimp.PDB : GObject.Object {
      parent_instance: GObject,
      priv: GimpPDBPrivate*
    }

Provides access to the Procedural DataBase (PDB).

#### Ancestors

- GObject

#### Functions

###### gimp_pdb_get_data

Returns data associated with the specified identifier.

###### gimp_pdb_get_data_size

Returns size of data associated with the specified identifier.

###### gimp_pdb_set_data

Associates the specified identifier with the supplied data.

#### Instance methods

###### gimp_pdb_dump_to_file

Dumps the current contents of the procedural database.

Available since: 3.0

###### gimp_pdb_get_last_error

Retrieves the error message from the last procedure call.

Available since: 3.0

###### gimp_pdb_get_last_status

Retrieves the status from the last procedure call.

Available since: 3.0

###### gimp_pdb_lookup_procedure

This function returns the `GimpProcedure` which is registered with `procedure_name` if it exists, or returns `NULL` otherwise.

Available since: 3.0

###### gimp_pdb_procedure_exists

This function checks if a procedure exists in the procedural database.

Available since: 3.0

###### gimp_pdb_query_procedures

Queries the procedural database for its contents using regular expression matching.

Available since: 3.0

###### gimp_pdb_run_procedure

Runs the procedure named `procedure_name` with arguments given as list of (`GType`, value) pairs, terminated by #G_TYPE_NONE.

Available since: 3.0

###### gimp_pdb_run_procedure_argv

Runs the procedure named `procedure_name` with `arguments`.

Available since: 3.0

###### gimp_pdb_run_procedure_array

Runs the procedure named `procedure_name` with `arguments`.

Available since: 3.0

###### gimp_pdb_run_procedure_config

Runs the procedure named `procedure_name` with `config`.

Available since: 3.0

###### gimp_pdb_run_procedure_valist

Runs the procedure named `procedure_name` with `args` given in the order as passed to `gimp_pdb_run_procedure()`.

Available since: 3.0

###### gimp_pdb_temp_procedure_name

Generates a unique temporary PDB name.

Available since: 3.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GimpPDBClass {
      GObjectClass parent_class;
      void (* _gimp_reserved1) (
    void
      );
      void (* _gimp_reserved2) (
    void
      );
      void (* _gimp_reserved3) (
    void
      );
      void (* _gimp_reserved4) (
    void
      );
      void (* _gimp_reserved5) (
    void
      );
      void (* _gimp_reserved6) (
    void
      );
      void (* _gimp_reserved7) (
    void
      );
      void (* _gimp_reserved8) (
    void
      );

    }

###### Class members

`parent_class`

    GObjectClass

| No description available.

`_gimp_reserved1`

    void (* _gimp_reserved1) (
    void
      )

| No description available.

`_gimp_reserved2`

    void (* _gimp_reserved2) (
    void
      )

| No description available.

`_gimp_reserved3`

    void (* _gimp_reserved3) (
    void
      )

| No description available.

`_gimp_reserved4`

    void (* _gimp_reserved4) (
    void
      )

| No description available.

`_gimp_reserved5`

    void (* _gimp_reserved5) (
    void
      )

| No description available.

`_gimp_reserved6`

    void (* _gimp_reserved6) (
    void
      )

| No description available.

`_gimp_reserved7`

    void (* _gimp_reserved7) (
    void
      )

| No description available.

`_gimp_reserved8`

    void (* _gimp_reserved8) (
    void
      )

| No description available.